groovy.util

## Interface ObjectGraphBuilder.ReferenceResolver

All Known Implementing Classes:
  ObjectGraphBuilder.DefaultReferenceResolver

Enclosing class:
  ObjectGraphBuilder

    public static interface ObjectGraphBuilder.ReferenceResolver

Strategy for picking the correct synthetic reference identifier.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getReferenceFor(java.lang.String nodeName)` Returns the name of the property that references another node.

### Method Detail

#### getReferenceFor

    java.lang.String getReferenceFor(java.lang.String nodeName)

Returns the name of the property that references another node.

Parameters:
  `nodeName` - the name of the node